Bug 121406 - privoxy fails to load the default actions file
privoxy fails to load the default actions file
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: privoxy (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-21 02:41 EDT by Manuel "Chilli" Chakravarty
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 07:45:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manuel "Chilli" Chakravarty 2004-04-21 02:41:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040312 Galeon/1.3.14

Description of problem:
When privoxy is started with "service privoxy start" (or during
booting), it fails to load the configuration file as it has a fatal
error when reading the actions file.

Version-Release number of selected component (if applicable):
privoxy-3.0.3-3

How reproducible:
Always

Steps to Reproduce:
1. Execute "service privoxy start"


Actual Results:  Starting privoxy: Apr 10 20:03:39
Privoxy(-1207934848) Info: loading configuration file
'/etc/privoxy/config':
Apr 10 20:03:39 Privoxy(-1207934848) Fatal error: can't load actions
file '/etc/privoxy/standard.action': invalid line (70): { -add-header
-block -crunch-outgoing-cookies -crunch-incoming-cookies
-deanimate-gifs -downgrade-http-version -fast-redirects
+filter{js-annoyances} -filter{js-events} +filter{html-annoyances}
-filter{content-cookies} -filter{refresh-tags}
+filter{unsolicited-popups} -filter{all-popups} -filter{img-reorder}
+filter{banners-by-size} -filter{banners-by-link} +filter{webbugs}
-filter{tiny-textforms} -filter{jumping-windows}
-filter{frameset-borders} -filter{demoronizer}
-filter{shockwave-flash} -filter{quicktime-kioskmode} -filter{fun}
-filter{crude-parental} -filter{ie-exploits} -filter{site-specifics}
-handle-as-image +hide-forwarded-for-headers +hide-from-header{block}
-hide-referrer -hide-user-agent -kill-popups -limit-connect
+prevent-compression -send-vanilla-wafer -send-wafer
-session-cookies-only +set-image-blocker{pattern} }
                                                           [FAILED]


Expected Results:  That privoxy starts successfully.

Additional info:

This is using the default configuration files supplied by the rpm.
Comment 1 Manuel "Chilli" Chakravarty 2004-04-22 07:44:36 EDT
Removal and reinstallation of privoxy fixed the problem.  (Although, I
had to manually add the user "privoxy" when re-installing as the rpm
didn't do it properly.)

Note You need to log in before you can comment on or make changes to this bug.